import * as _solana_kit from '@solana/kit';
import { Address, Encoder, Decoder, Codec, EncodedAccount, Account, MaybeEncodedAccount, MaybeAccount, fetchEncodedAccount, FetchAccountConfig, fetchEncodedAccounts, FetchAccountsConfig, ReadonlyUint8Array, SolanaError, SOLANA_ERROR__INSTRUCTION_ERROR__CUSTOM, IAccountMeta, IInstruction, IInstructionWithData, IInstructionWithAccounts, ReadonlyAccount, WritableAccount, ReadonlySignerAccount, IAccountSignerMeta, TransactionSigner, WritableSignerAccount } from '@solana/kit';

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type Config = {
    discriminator: bigint;
    admin: Address;
    vaultProgram: Address;
    ncnCount: bigint;
    operatorCount: bigint;
    epochLength: bigint;
    bump: number;
    reserved: Array<number>;
};
type ConfigArgs = {
    discriminator: number | bigint;
    admin: Address;
    vaultProgram: Address;
    ncnCount: number | bigint;
    operatorCount: number | bigint;
    epochLength: number | bigint;
    bump: number;
    reserved: Array<number>;
};
declare function getConfigEncoder(): Encoder<ConfigArgs>;
declare function getConfigDecoder(): Decoder<Config>;
declare function getConfigCodec(): Codec<ConfigArgs, Config>;
declare function decodeConfig<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<Config, TAddress>;
declare function decodeConfig<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<Config, TAddress>;
declare function fetchConfig<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<Config, TAddress>>;
declare function fetchMaybeConfig<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<Config, TAddress>>;
declare function fetchAllConfig(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<Config>[]>;
declare function fetchAllMaybeConfig(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<Config>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type Ncn = {
    discriminator: bigint;
    base: Address;
    admin: Address;
    operatorAdmin: Address;
    vaultAdmin: Address;
    slasherAdmin: Address;
    delegateAdmin: Address;
    metadataAdmin: Address;
    weightTableAdmin: Address;
    ncnProgramAdmin: Address;
    index: bigint;
    operatorCount: bigint;
    vaultCount: bigint;
    slasherCount: bigint;
    bump: number;
    reserved: Array<number>;
};
type NcnArgs = {
    discriminator: number | bigint;
    base: Address;
    admin: Address;
    operatorAdmin: Address;
    vaultAdmin: Address;
    slasherAdmin: Address;
    delegateAdmin: Address;
    metadataAdmin: Address;
    weightTableAdmin: Address;
    ncnProgramAdmin: Address;
    index: number | bigint;
    operatorCount: number | bigint;
    vaultCount: number | bigint;
    slasherCount: number | bigint;
    bump: number;
    reserved: Array<number>;
};
declare function getNcnEncoder(): Encoder<NcnArgs>;
declare function getNcnDecoder(): Decoder<Ncn>;
declare function getNcnCodec(): Codec<NcnArgs, Ncn>;
declare function decodeNcn<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<Ncn, TAddress>;
declare function decodeNcn<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<Ncn, TAddress>;
declare function fetchNcn<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<Ncn, TAddress>>;
declare function fetchMaybeNcn<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<Ncn, TAddress>>;
declare function fetchAllNcn(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<Ncn>[]>;
declare function fetchAllMaybeNcn(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<Ncn>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

declare enum NcnAdminRole {
    OperatorAdmin = 0,
    VaultAdmin = 1,
    SlasherAdmin = 2,
    DelegateAdmin = 3,
    MetadataAdmin = 4,
    WeightTableAdmin = 5,
    NcnProgramAdmin = 6
}
type NcnAdminRoleArgs = NcnAdminRole;
declare function getNcnAdminRoleEncoder(): Encoder<NcnAdminRoleArgs>;
declare function getNcnAdminRoleDecoder(): Decoder<NcnAdminRole>;
declare function getNcnAdminRoleCodec(): Codec<NcnAdminRoleArgs, NcnAdminRole>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

declare enum OperatorAdminRole {
    NcnAdmin = 0,
    VaultAdmin = 1,
    VoterAdmin = 2,
    DelegateAdmin = 3,
    MetadataAdmin = 4
}
type OperatorAdminRoleArgs = OperatorAdminRole;
declare function getOperatorAdminRoleEncoder(): Encoder<OperatorAdminRoleArgs>;
declare function getOperatorAdminRoleDecoder(): Decoder<OperatorAdminRole>;
declare function getOperatorAdminRoleCodec(): Codec<OperatorAdminRoleArgs, OperatorAdminRole>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type SlotToggle = {
    slotAdded: bigint;
    slotRemoved: bigint;
    reserved: ReadonlyUint8Array;
};
type SlotToggleArgs = {
    slotAdded: number | bigint;
    slotRemoved: number | bigint;
    reserved: ReadonlyUint8Array;
};
declare function getSlotToggleEncoder(): Encoder<SlotToggleArgs>;
declare function getSlotToggleDecoder(): Decoder<SlotToggle>;
declare function getSlotToggleCodec(): Codec<SlotToggleArgs, SlotToggle>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type NcnOperatorState = {
    discriminator: bigint;
    ncn: Address;
    operator: Address;
    index: bigint;
    ncnOptInState: SlotToggle;
    operatorOptInState: SlotToggle;
    bump: number;
    reserved: Array<number>;
};
type NcnOperatorStateArgs = {
    discriminator: number | bigint;
    ncn: Address;
    operator: Address;
    index: number | bigint;
    ncnOptInState: SlotToggleArgs;
    operatorOptInState: SlotToggleArgs;
    bump: number;
    reserved: Array<number>;
};
declare function getNcnOperatorStateEncoder(): Encoder<NcnOperatorStateArgs>;
declare function getNcnOperatorStateDecoder(): Decoder<NcnOperatorState>;
declare function getNcnOperatorStateCodec(): Codec<NcnOperatorStateArgs, NcnOperatorState>;
declare function decodeNcnOperatorState<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<NcnOperatorState, TAddress>;
declare function decodeNcnOperatorState<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<NcnOperatorState, TAddress>;
declare function fetchNcnOperatorState<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<NcnOperatorState, TAddress>>;
declare function fetchMaybeNcnOperatorState<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<NcnOperatorState, TAddress>>;
declare function fetchAllNcnOperatorState(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<NcnOperatorState>[]>;
declare function fetchAllMaybeNcnOperatorState(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<NcnOperatorState>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type NcnVaultSlasherTicket = {
    discriminator: bigint;
    ncn: Address;
    vault: Address;
    slasher: Address;
    maxSlashablePerEpoch: bigint;
    index: bigint;
    state: SlotToggle;
    bump: number;
    reserved: Array<number>;
};
type NcnVaultSlasherTicketArgs = {
    discriminator: number | bigint;
    ncn: Address;
    vault: Address;
    slasher: Address;
    maxSlashablePerEpoch: number | bigint;
    index: number | bigint;
    state: SlotToggleArgs;
    bump: number;
    reserved: Array<number>;
};
declare function getNcnVaultSlasherTicketEncoder(): Encoder<NcnVaultSlasherTicketArgs>;
declare function getNcnVaultSlasherTicketDecoder(): Decoder<NcnVaultSlasherTicket>;
declare function getNcnVaultSlasherTicketCodec(): Codec<NcnVaultSlasherTicketArgs, NcnVaultSlasherTicket>;
declare function decodeNcnVaultSlasherTicket<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<NcnVaultSlasherTicket, TAddress>;
declare function decodeNcnVaultSlasherTicket<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<NcnVaultSlasherTicket, TAddress>;
declare function fetchNcnVaultSlasherTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<NcnVaultSlasherTicket, TAddress>>;
declare function fetchMaybeNcnVaultSlasherTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<NcnVaultSlasherTicket, TAddress>>;
declare function fetchAllNcnVaultSlasherTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<NcnVaultSlasherTicket>[]>;
declare function fetchAllMaybeNcnVaultSlasherTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<NcnVaultSlasherTicket>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type NcnVaultTicket = {
    discriminator: bigint;
    ncn: Address;
    vault: Address;
    index: bigint;
    state: SlotToggle;
    bump: number;
    reserved: Array<number>;
};
type NcnVaultTicketArgs = {
    discriminator: number | bigint;
    ncn: Address;
    vault: Address;
    index: number | bigint;
    state: SlotToggleArgs;
    bump: number;
    reserved: Array<number>;
};
declare function getNcnVaultTicketEncoder(): Encoder<NcnVaultTicketArgs>;
declare function getNcnVaultTicketDecoder(): Decoder<NcnVaultTicket>;
declare function getNcnVaultTicketCodec(): Codec<NcnVaultTicketArgs, NcnVaultTicket>;
declare function decodeNcnVaultTicket<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<NcnVaultTicket, TAddress>;
declare function decodeNcnVaultTicket<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<NcnVaultTicket, TAddress>;
declare function fetchNcnVaultTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<NcnVaultTicket, TAddress>>;
declare function fetchMaybeNcnVaultTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<NcnVaultTicket, TAddress>>;
declare function fetchAllNcnVaultTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<NcnVaultTicket>[]>;
declare function fetchAllMaybeNcnVaultTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<NcnVaultTicket>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type Operator = {
    discriminator: bigint;
    base: Address;
    admin: Address;
    ncnAdmin: Address;
    vaultAdmin: Address;
    delegateAdmin: Address;
    metadataAdmin: Address;
    voter: Address;
    index: bigint;
    ncnCount: bigint;
    vaultCount: bigint;
    operatorFeeBps: number;
    bump: number;
    reservedSpace: Array<number>;
};
type OperatorArgs = {
    discriminator: number | bigint;
    base: Address;
    admin: Address;
    ncnAdmin: Address;
    vaultAdmin: Address;
    delegateAdmin: Address;
    metadataAdmin: Address;
    voter: Address;
    index: number | bigint;
    ncnCount: number | bigint;
    vaultCount: number | bigint;
    operatorFeeBps: number;
    bump: number;
    reservedSpace: Array<number>;
};
declare function getOperatorEncoder(): Encoder<OperatorArgs>;
declare function getOperatorDecoder(): Decoder<Operator>;
declare function getOperatorCodec(): Codec<OperatorArgs, Operator>;
declare function decodeOperator<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<Operator, TAddress>;
declare function decodeOperator<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<Operator, TAddress>;
declare function fetchOperator<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<Operator, TAddress>>;
declare function fetchMaybeOperator<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<Operator, TAddress>>;
declare function fetchAllOperator(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<Operator>[]>;
declare function fetchAllMaybeOperator(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<Operator>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

type OperatorVaultTicket = {
    discriminator: bigint;
    operator: Address;
    vault: Address;
    index: bigint;
    state: SlotToggle;
    bump: number;
    reserved: Array<number>;
};
type OperatorVaultTicketArgs = {
    discriminator: number | bigint;
    operator: Address;
    vault: Address;
    index: number | bigint;
    state: SlotToggleArgs;
    bump: number;
    reserved: Array<number>;
};
declare function getOperatorVaultTicketEncoder(): Encoder<OperatorVaultTicketArgs>;
declare function getOperatorVaultTicketDecoder(): Decoder<OperatorVaultTicket>;
declare function getOperatorVaultTicketCodec(): Codec<OperatorVaultTicketArgs, OperatorVaultTicket>;
declare function decodeOperatorVaultTicket<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<OperatorVaultTicket, TAddress>;
declare function decodeOperatorVaultTicket<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<OperatorVaultTicket, TAddress>;
declare function fetchOperatorVaultTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<OperatorVaultTicket, TAddress>>;
declare function fetchMaybeOperatorVaultTicket<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<OperatorVaultTicket, TAddress>>;
declare function fetchAllOperatorVaultTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<OperatorVaultTicket>[]>;
declare function fetchAllMaybeOperatorVaultTicket(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<OperatorVaultTicket>[]>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

/** BadEpochLength: Bad epoch length */
declare const JITO_RESTAKING_ERROR__BAD_EPOCH_LENGTH = 0;
/** NcnOperatorAdminInvalid: NcnOperatorAdminInvalid */
declare const JITO_RESTAKING_ERROR__NCN_OPERATOR_ADMIN_INVALID = 1000;
/** NcnCooldownOperatorFailed: NcnCooldownOperatorFailed */
declare const JITO_RESTAKING_ERROR__NCN_COOLDOWN_OPERATOR_FAILED = 1001;
/** NcnSlasherAdminInvalid: NcnSlasherAdminInvalid */
declare const JITO_RESTAKING_ERROR__NCN_SLASHER_ADMIN_INVALID = 1002;
/** NcnVaultAdminInvalid: NcnVaultAdminInvalid */
declare const JITO_RESTAKING_ERROR__NCN_VAULT_ADMIN_INVALID = 1003;
/** NcnAdminInvalid: NcnAdminInvalid */
declare const JITO_RESTAKING_ERROR__NCN_ADMIN_INVALID = 1004;
/** NcnDelegateAdminInvalid: NcnDelegateAdminInvalid */
declare const JITO_RESTAKING_ERROR__NCN_DELEGATE_ADMIN_INVALID = 1005;
/** NcnVaultSlasherTicketFailedCooldown: NcnVaultSlasherTicketFailedCooldown */
declare const JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_COOLDOWN = 1006;
/** NcnVaultTicketFailedCooldown: NcnVaultTicketFailedCooldown */
declare const JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_COOLDOWN = 1007;
/** NcnWarmupOperatorFailed: NcnWarmupOperatorFailed */
declare const JITO_RESTAKING_ERROR__NCN_WARMUP_OPERATOR_FAILED = 1008;
/** NcnVaultSlasherTicketFailedWarmup: NcnVaultSlasherTicketFailedWarmup */
declare const JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_WARMUP = 1009;
/** NcnVaultTicketFailedWarmup: NcnVaultTicketFailedWarmup */
declare const JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_WARMUP = 1010;
/** OperatorNcnAdminInvalid: OperatorNcnAdminInvalid */
declare const JITO_RESTAKING_ERROR__OPERATOR_NCN_ADMIN_INVALID = 2000;
/** OperatorVaultAdminInvalid: OperatorVaultAdminInvalid */
declare const JITO_RESTAKING_ERROR__OPERATOR_VAULT_ADMIN_INVALID = 2001;
/** OperatorAdminInvalid: OperatorAdminInvalid */
declare const JITO_RESTAKING_ERROR__OPERATOR_ADMIN_INVALID = 2002;
/** OperatorDelegateAdminInvalid: OperatorDelegateAdminInvalid */
declare const JITO_RESTAKING_ERROR__OPERATOR_DELEGATE_ADMIN_INVALID = 2003;
/** OperatorCooldownNcnFailed: OperatorCooldownNcnFailed */
declare const JITO_RESTAKING_ERROR__OPERATOR_COOLDOWN_NCN_FAILED = 2004;
/** OperatorVaultTicketFailedCooldown: OperatorVaultTicketFailedCooldown */
declare const JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_COOLDOWN = 2005;
/** OperatorVaultTicketFailedWarmup: OperatorVaultTicketFailedWarmup */
declare const JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_WARMUP = 2006;
/** OperatorWarmupNcnFailed: OperatorWarmupNcnFailed */
declare const JITO_RESTAKING_ERROR__OPERATOR_WARMUP_NCN_FAILED = 2007;
/** OperatorFeeCapExceeded: OperatorFeeCapExceeded */
declare const JITO_RESTAKING_ERROR__OPERATOR_FEE_CAP_EXCEEDED = 2008;
/** NcnOverflow: NcnOverflow */
declare const JITO_RESTAKING_ERROR__NCN_OVERFLOW = 2009;
/** OperatorOverflow: OperatorOverflow */
declare const JITO_RESTAKING_ERROR__OPERATOR_OVERFLOW = 2010;
/** VaultOverflow: VaultOverflow */
declare const JITO_RESTAKING_ERROR__VAULT_OVERFLOW = 2011;
/** SlasherOverflow: SlasherOverflow */
declare const JITO_RESTAKING_ERROR__SLASHER_OVERFLOW = 2012;
/** InvalidEpochLength: InvalidEpochLength */
declare const JITO_RESTAKING_ERROR__INVALID_EPOCH_LENGTH = 2013;
/** ConfigAdminInvalid: ConfigAdminInvalid */
declare const JITO_RESTAKING_ERROR__CONFIG_ADMIN_INVALID = 2014;
/** ArithmeticOverflow: ArithmeticOverflow */
declare const JITO_RESTAKING_ERROR__ARITHMETIC_OVERFLOW = 3000;
/** ArithmeticUnderflow: ArithmeticUnderflow */
declare const JITO_RESTAKING_ERROR__ARITHMETIC_UNDERFLOW = 3001;
/** DivisionByZero: DivisionByZero */
declare const JITO_RESTAKING_ERROR__DIVISION_BY_ZERO = 3002;
type JitoRestakingError = typeof JITO_RESTAKING_ERROR__ARITHMETIC_OVERFLOW | typeof JITO_RESTAKING_ERROR__ARITHMETIC_UNDERFLOW | typeof JITO_RESTAKING_ERROR__BAD_EPOCH_LENGTH | typeof JITO_RESTAKING_ERROR__CONFIG_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__DIVISION_BY_ZERO | typeof JITO_RESTAKING_ERROR__INVALID_EPOCH_LENGTH | typeof JITO_RESTAKING_ERROR__NCN_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__NCN_COOLDOWN_OPERATOR_FAILED | typeof JITO_RESTAKING_ERROR__NCN_DELEGATE_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__NCN_OPERATOR_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__NCN_OVERFLOW | typeof JITO_RESTAKING_ERROR__NCN_SLASHER_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__NCN_VAULT_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_COOLDOWN | typeof JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_WARMUP | typeof JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_COOLDOWN | typeof JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_WARMUP | typeof JITO_RESTAKING_ERROR__NCN_WARMUP_OPERATOR_FAILED | typeof JITO_RESTAKING_ERROR__OPERATOR_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__OPERATOR_COOLDOWN_NCN_FAILED | typeof JITO_RESTAKING_ERROR__OPERATOR_DELEGATE_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__OPERATOR_FEE_CAP_EXCEEDED | typeof JITO_RESTAKING_ERROR__OPERATOR_NCN_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__OPERATOR_OVERFLOW | typeof JITO_RESTAKING_ERROR__OPERATOR_VAULT_ADMIN_INVALID | typeof JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_COOLDOWN | typeof JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_WARMUP | typeof JITO_RESTAKING_ERROR__OPERATOR_WARMUP_NCN_FAILED | typeof JITO_RESTAKING_ERROR__SLASHER_OVERFLOW | typeof JITO_RESTAKING_ERROR__VAULT_OVERFLOW;
declare function getJitoRestakingErrorMessage(code: JitoRestakingError): string;
declare function isJitoRestakingError<TProgramErrorCode extends JitoRestakingError>(error: unknown, transactionMessage: {
    instructions: Record<number, {
        programAddress: Address;
    }>;
}, code?: TProgramErrorCode): error is SolanaError<typeof SOLANA_ERROR__INSTRUCTION_ERROR__CUSTOM> & Readonly<{
    context: Readonly<{
        code: TProgramErrorCode;
    }>;
}>;

/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/kinobi-so/kinobi
 */

declare const JITO_RESTAKING_PROGRAM_ADDRESS: Address<"RestkWeAVL8fRGgzhfeoqFhsqKRchg6aa1XrcH96z4Q">;
declare enum JitoRestakingAccount {
    Config = 0,
    Ncn = 1,
    NcnOperatorState = 2,
    NcnVaultSlasherTicket = 3,
    NcnVaultTicket = 4,
    Operator = 5,
    OperatorVaultTicket = 6
}
declare enum JitoRestakingInstruction {
    InitializeConfig = 0,
    InitializeNcn = 1,
    InitializeOperator = 2,
    InitializeNcnVaultSlasherTicket = 3,
    InitializeNcnVaultTicket = 4,
    InitializeOperatorVaultTicket = 5,
    InitializeNcnOperatorState = 6,
    WarmupNcnVaultTicket = 7,
    CooldownNcnVaultTicket = 8,
    NcnWarmupOperator = 9,
    NcnCooldownOperator = 10,
    OperatorWarmupNcn = 11,
    OperatorCooldownNcn = 12,
    WarmupNcnVaultSlasherTicket = 13,
    CooldownNcnVaultSlasherTicket = 14,
    WarmupOperatorVaultTicket = 15,
    CooldownOperatorVaultTicket = 16,
    NcnSetAdmin = 17,
    NcnSetSecondaryAdmin = 18,
    OperatorSetAdmin = 19,
    OperatorSetSecondaryAdmin = 20,
    OperatorSetFee = 21,
    NcnDelegateTokenAccount = 22,
    OperatorDelegateTokenAccount = 23,
    SetConfigAdmin = 24
}
declare function identifyJitoRestakingInstruction(instruction: {
    data: ReadonlyUint8Array;
} | ReadonlyUint8Array): JitoRestakingInstruction;
type ParsedJitoRestakingInstruction<TProgram extends string = 'RestkWeAVL8fRGgzhfeoqFhsqKRchg6aa1XrcH96z4Q'> = ({
    instructionType: JitoRestakingInstruction.InitializeConfig;
} & ParsedInitializeConfigInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeNcn;
} & ParsedInitializeNcnInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeOperator;
} & ParsedInitializeOperatorInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeNcnVaultSlasherTicket;
} & ParsedInitializeNcnVaultSlasherTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeNcnVaultTicket;
} & ParsedInitializeNcnVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeOperatorVaultTicket;
} & ParsedInitializeOperatorVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.InitializeNcnOperatorState;
} & ParsedInitializeNcnOperatorStateInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.WarmupNcnVaultTicket;
} & ParsedWarmupNcnVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.CooldownNcnVaultTicket;
} & ParsedCooldownNcnVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.NcnWarmupOperator;
} & ParsedNcnWarmupOperatorInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.NcnCooldownOperator;
} & ParsedNcnCooldownOperatorInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorWarmupNcn;
} & ParsedOperatorWarmupNcnInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorCooldownNcn;
} & ParsedOperatorCooldownNcnInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.WarmupNcnVaultSlasherTicket;
} & ParsedWarmupNcnVaultSlasherTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.CooldownNcnVaultSlasherTicket;
} & ParsedCooldownNcnVaultSlasherTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.WarmupOperatorVaultTicket;
} & ParsedWarmupOperatorVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.CooldownOperatorVaultTicket;
} & ParsedCooldownOperatorVaultTicketInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.NcnSetAdmin;
} & ParsedNcnSetAdminInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.NcnSetSecondaryAdmin;
} & ParsedNcnSetSecondaryAdminInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorSetAdmin;
} & ParsedOperatorSetAdminInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorSetSecondaryAdmin;
} & ParsedOperatorSetSecondaryAdminInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorSetFee;
} & ParsedOperatorSetFeeInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.NcnDelegateTokenAccount;
} & ParsedNcnDelegateTokenAccountInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.OperatorDelegateTokenAccount;
} & ParsedOperatorDelegateTokenAccountInstruction<TProgram>) | ({
    instructionType: JitoRestakingInstruction.SetConfigAdmin;
} & ParsedSetConfigAdminInstruction<TProgram>);

declare const COOLDOWN_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR = 14;
declare function getCooldownNcnVaultSlasherTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type CooldownNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountSlasher extends string | IAccountMeta<string> = string, TAccountNcnVaultSlasherTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountSlasher extends string ? ReadonlyAccount<TAccountSlasher> : TAccountSlasher,
    TAccountNcnVaultSlasherTicket extends string ? WritableAccount<TAccountNcnVaultSlasherTicket> : TAccountNcnVaultSlasherTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type CooldownNcnVaultSlasherTicketInstructionData = {
    discriminator: number;
};
type CooldownNcnVaultSlasherTicketInstructionDataArgs = {};
declare function getCooldownNcnVaultSlasherTicketInstructionDataEncoder(): Encoder<CooldownNcnVaultSlasherTicketInstructionDataArgs>;
declare function getCooldownNcnVaultSlasherTicketInstructionDataDecoder(): Decoder<CooldownNcnVaultSlasherTicketInstructionData>;
declare function getCooldownNcnVaultSlasherTicketInstructionDataCodec(): Codec<CooldownNcnVaultSlasherTicketInstructionDataArgs, CooldownNcnVaultSlasherTicketInstructionData>;
type CooldownNcnVaultSlasherTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountSlasher extends string = string, TAccountNcnVaultSlasherTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    slasher: Address<TAccountSlasher>;
    ncnVaultSlasherTicket: Address<TAccountNcnVaultSlasherTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getCooldownNcnVaultSlasherTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountSlasher extends string, TAccountNcnVaultSlasherTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: CooldownNcnVaultSlasherTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultSlasherTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): CooldownNcnVaultSlasherTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultSlasherTicket, TAccountAdmin>;
type ParsedCooldownNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        slasher: TAccountMetas[3];
        ncnVaultSlasherTicket: TAccountMetas[4];
        admin: TAccountMetas[5];
    };
    data: CooldownNcnVaultSlasherTicketInstructionData;
};
declare function parseCooldownNcnVaultSlasherTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedCooldownNcnVaultSlasherTicketInstruction<TProgram, TAccountMetas>;

declare const COOLDOWN_NCN_VAULT_TICKET_DISCRIMINATOR = 8;
declare function getCooldownNcnVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type CooldownNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountNcnVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountNcnVaultTicket extends string ? WritableAccount<TAccountNcnVaultTicket> : TAccountNcnVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type CooldownNcnVaultTicketInstructionData = {
    discriminator: number;
};
type CooldownNcnVaultTicketInstructionDataArgs = {};
declare function getCooldownNcnVaultTicketInstructionDataEncoder(): Encoder<CooldownNcnVaultTicketInstructionDataArgs>;
declare function getCooldownNcnVaultTicketInstructionDataDecoder(): Decoder<CooldownNcnVaultTicketInstructionData>;
declare function getCooldownNcnVaultTicketInstructionDataCodec(): Codec<CooldownNcnVaultTicketInstructionDataArgs, CooldownNcnVaultTicketInstructionData>;
type CooldownNcnVaultTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountNcnVaultTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    ncnVaultTicket: Address<TAccountNcnVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getCooldownNcnVaultTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountNcnVaultTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: CooldownNcnVaultTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): CooldownNcnVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin>;
type ParsedCooldownNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        ncnVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: CooldownNcnVaultTicketInstructionData;
};
declare function parseCooldownNcnVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedCooldownNcnVaultTicketInstruction<TProgram, TAccountMetas>;

declare const COOLDOWN_OPERATOR_VAULT_TICKET_DISCRIMINATOR = 16;
declare function getCooldownOperatorVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type CooldownOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountOperatorVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountOperatorVaultTicket extends string ? WritableAccount<TAccountOperatorVaultTicket> : TAccountOperatorVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type CooldownOperatorVaultTicketInstructionData = {
    discriminator: number;
};
type CooldownOperatorVaultTicketInstructionDataArgs = {};
declare function getCooldownOperatorVaultTicketInstructionDataEncoder(): Encoder<CooldownOperatorVaultTicketInstructionDataArgs>;
declare function getCooldownOperatorVaultTicketInstructionDataDecoder(): Decoder<CooldownOperatorVaultTicketInstructionData>;
declare function getCooldownOperatorVaultTicketInstructionDataCodec(): Codec<CooldownOperatorVaultTicketInstructionDataArgs, CooldownOperatorVaultTicketInstructionData>;
type CooldownOperatorVaultTicketInput<TAccountConfig extends string = string, TAccountOperator extends string = string, TAccountVault extends string = string, TAccountOperatorVaultTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    operator: Address<TAccountOperator>;
    vault: Address<TAccountVault>;
    operatorVaultTicket: Address<TAccountOperatorVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getCooldownOperatorVaultTicketInstruction<TAccountConfig extends string, TAccountOperator extends string, TAccountVault extends string, TAccountOperatorVaultTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: CooldownOperatorVaultTicketInput<TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): CooldownOperatorVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin>;
type ParsedCooldownOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        operator: TAccountMetas[1];
        vault: TAccountMetas[2];
        operatorVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: CooldownOperatorVaultTicketInstructionData;
};
declare function parseCooldownOperatorVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedCooldownOperatorVaultTicketInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_CONFIG_DISCRIMINATOR = 0;
declare function getInitializeConfigDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeConfigInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountVaultProgram extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? WritableAccount<TAccountConfig> : TAccountConfig,
    TAccountAdmin extends string ? WritableSignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountVaultProgram extends string ? ReadonlyAccount<TAccountVaultProgram> : TAccountVaultProgram,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeConfigInstructionData = {
    discriminator: number;
};
type InitializeConfigInstructionDataArgs = {};
declare function getInitializeConfigInstructionDataEncoder(): Encoder<InitializeConfigInstructionDataArgs>;
declare function getInitializeConfigInstructionDataDecoder(): Decoder<InitializeConfigInstructionData>;
declare function getInitializeConfigInstructionDataCodec(): Codec<InitializeConfigInstructionDataArgs, InitializeConfigInstructionData>;
type InitializeConfigInput<TAccountConfig extends string = string, TAccountAdmin extends string = string, TAccountVaultProgram extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    admin: TransactionSigner<TAccountAdmin>;
    vaultProgram: Address<TAccountVaultProgram>;
    systemProgram?: Address<TAccountSystemProgram>;
};
declare function getInitializeConfigInstruction<TAccountConfig extends string, TAccountAdmin extends string, TAccountVaultProgram extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeConfigInput<TAccountConfig, TAccountAdmin, TAccountVaultProgram, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeConfigInstruction<TProgramAddress, TAccountConfig, TAccountAdmin, TAccountVaultProgram, TAccountSystemProgram>;
type ParsedInitializeConfigInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        admin: TAccountMetas[1];
        vaultProgram: TAccountMetas[2];
        systemProgram: TAccountMetas[3];
    };
    data: InitializeConfigInstructionData;
};
declare function parseInitializeConfigInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeConfigInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_NCN_DISCRIMINATOR = 1;
declare function getInitializeNcnDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountBase extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? WritableAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountAdmin extends string ? WritableSignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountBase extends string ? ReadonlySignerAccount<TAccountBase> & IAccountSignerMeta<TAccountBase> : TAccountBase,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeNcnInstructionData = {
    discriminator: number;
};
type InitializeNcnInstructionDataArgs = {};
declare function getInitializeNcnInstructionDataEncoder(): Encoder<InitializeNcnInstructionDataArgs>;
declare function getInitializeNcnInstructionDataDecoder(): Decoder<InitializeNcnInstructionData>;
declare function getInitializeNcnInstructionDataCodec(): Codec<InitializeNcnInstructionDataArgs, InitializeNcnInstructionData>;
type InitializeNcnInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountAdmin extends string = string, TAccountBase extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    admin: TransactionSigner<TAccountAdmin>;
    base: TransactionSigner<TAccountBase>;
    systemProgram?: Address<TAccountSystemProgram>;
};
declare function getInitializeNcnInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountAdmin extends string, TAccountBase extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeNcnInput<TAccountConfig, TAccountNcn, TAccountAdmin, TAccountBase, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeNcnInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountAdmin, TAccountBase, TAccountSystemProgram>;
type ParsedInitializeNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        admin: TAccountMetas[2];
        base: TAccountMetas[3];
        systemProgram: TAccountMetas[4];
    };
    data: InitializeNcnInstructionData;
};
declare function parseInitializeNcnInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeNcnInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_NCN_OPERATOR_STATE_DISCRIMINATOR = 6;
declare function getInitializeNcnOperatorStateDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeNcnOperatorStateInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountNcnOperatorState extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountPayer extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountNcnOperatorState extends string ? WritableAccount<TAccountNcnOperatorState> : TAccountNcnOperatorState,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountPayer extends string ? WritableSignerAccount<TAccountPayer> & IAccountSignerMeta<TAccountPayer> : TAccountPayer,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeNcnOperatorStateInstructionData = {
    discriminator: number;
};
type InitializeNcnOperatorStateInstructionDataArgs = {};
declare function getInitializeNcnOperatorStateInstructionDataEncoder(): Encoder<InitializeNcnOperatorStateInstructionDataArgs>;
declare function getInitializeNcnOperatorStateInstructionDataDecoder(): Decoder<InitializeNcnOperatorStateInstructionData>;
declare function getInitializeNcnOperatorStateInstructionDataCodec(): Codec<InitializeNcnOperatorStateInstructionDataArgs, InitializeNcnOperatorStateInstructionData>;
type InitializeNcnOperatorStateInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountOperator extends string = string, TAccountNcnOperatorState extends string = string, TAccountAdmin extends string = string, TAccountPayer extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    operator: Address<TAccountOperator>;
    ncnOperatorState: Address<TAccountNcnOperatorState>;
    admin: TransactionSigner<TAccountAdmin>;
    payer: TransactionSigner<TAccountPayer>;
    systemProgram?: Address<TAccountSystemProgram>;
};
declare function getInitializeNcnOperatorStateInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountOperator extends string, TAccountNcnOperatorState extends string, TAccountAdmin extends string, TAccountPayer extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeNcnOperatorStateInput<TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin, TAccountPayer, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeNcnOperatorStateInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin, TAccountPayer, TAccountSystemProgram>;
type ParsedInitializeNcnOperatorStateInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        operator: TAccountMetas[2];
        ncnOperatorState: TAccountMetas[3];
        admin: TAccountMetas[4];
        payer: TAccountMetas[5];
        systemProgram: TAccountMetas[6];
    };
    data: InitializeNcnOperatorStateInstructionData;
};
declare function parseInitializeNcnOperatorStateInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeNcnOperatorStateInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR = 3;
declare function getInitializeNcnVaultSlasherTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountSlasher extends string | IAccountMeta<string> = string, TAccountNcnVaultTicket extends string | IAccountMeta<string> = string, TAccountNcnVaultSlasherTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountPayer extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountSlasher extends string ? ReadonlyAccount<TAccountSlasher> : TAccountSlasher,
    TAccountNcnVaultTicket extends string ? ReadonlyAccount<TAccountNcnVaultTicket> : TAccountNcnVaultTicket,
    TAccountNcnVaultSlasherTicket extends string ? WritableAccount<TAccountNcnVaultSlasherTicket> : TAccountNcnVaultSlasherTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountPayer extends string ? WritableSignerAccount<TAccountPayer> & IAccountSignerMeta<TAccountPayer> : TAccountPayer,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeNcnVaultSlasherTicketInstructionData = {
    discriminator: number;
    args: bigint;
};
type InitializeNcnVaultSlasherTicketInstructionDataArgs = {
    args: number | bigint;
};
declare function getInitializeNcnVaultSlasherTicketInstructionDataEncoder(): Encoder<InitializeNcnVaultSlasherTicketInstructionDataArgs>;
declare function getInitializeNcnVaultSlasherTicketInstructionDataDecoder(): Decoder<InitializeNcnVaultSlasherTicketInstructionData>;
declare function getInitializeNcnVaultSlasherTicketInstructionDataCodec(): Codec<InitializeNcnVaultSlasherTicketInstructionDataArgs, InitializeNcnVaultSlasherTicketInstructionData>;
type InitializeNcnVaultSlasherTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountSlasher extends string = string, TAccountNcnVaultTicket extends string = string, TAccountNcnVaultSlasherTicket extends string = string, TAccountAdmin extends string = string, TAccountPayer extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    slasher: Address<TAccountSlasher>;
    ncnVaultTicket: Address<TAccountNcnVaultTicket>;
    ncnVaultSlasherTicket: Address<TAccountNcnVaultSlasherTicket>;
    admin: TransactionSigner<TAccountAdmin>;
    payer: TransactionSigner<TAccountPayer>;
    systemProgram?: Address<TAccountSystemProgram>;
    args: InitializeNcnVaultSlasherTicketInstructionDataArgs['args'];
};
declare function getInitializeNcnVaultSlasherTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountSlasher extends string, TAccountNcnVaultTicket extends string, TAccountNcnVaultSlasherTicket extends string, TAccountAdmin extends string, TAccountPayer extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeNcnVaultSlasherTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultTicket, TAccountNcnVaultSlasherTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeNcnVaultSlasherTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultTicket, TAccountNcnVaultSlasherTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>;
type ParsedInitializeNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        slasher: TAccountMetas[3];
        ncnVaultTicket: TAccountMetas[4];
        ncnVaultSlasherTicket: TAccountMetas[5];
        admin: TAccountMetas[6];
        payer: TAccountMetas[7];
        systemProgram: TAccountMetas[8];
    };
    data: InitializeNcnVaultSlasherTicketInstructionData;
};
declare function parseInitializeNcnVaultSlasherTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeNcnVaultSlasherTicketInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_NCN_VAULT_TICKET_DISCRIMINATOR = 4;
declare function getInitializeNcnVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountNcnVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountPayer extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountNcnVaultTicket extends string ? WritableAccount<TAccountNcnVaultTicket> : TAccountNcnVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountPayer extends string ? WritableSignerAccount<TAccountPayer> & IAccountSignerMeta<TAccountPayer> : TAccountPayer,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeNcnVaultTicketInstructionData = {
    discriminator: number;
};
type InitializeNcnVaultTicketInstructionDataArgs = {};
declare function getInitializeNcnVaultTicketInstructionDataEncoder(): Encoder<InitializeNcnVaultTicketInstructionDataArgs>;
declare function getInitializeNcnVaultTicketInstructionDataDecoder(): Decoder<InitializeNcnVaultTicketInstructionData>;
declare function getInitializeNcnVaultTicketInstructionDataCodec(): Codec<InitializeNcnVaultTicketInstructionDataArgs, InitializeNcnVaultTicketInstructionData>;
type InitializeNcnVaultTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountNcnVaultTicket extends string = string, TAccountAdmin extends string = string, TAccountPayer extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    ncnVaultTicket: Address<TAccountNcnVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
    payer: TransactionSigner<TAccountPayer>;
    systemProgram?: Address<TAccountSystemProgram>;
};
declare function getInitializeNcnVaultTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountNcnVaultTicket extends string, TAccountAdmin extends string, TAccountPayer extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeNcnVaultTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeNcnVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>;
type ParsedInitializeNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        ncnVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
        payer: TAccountMetas[5];
        systemProgram: TAccountMetas[6];
    };
    data: InitializeNcnVaultTicketInstructionData;
};
declare function parseInitializeNcnVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeNcnVaultTicketInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_OPERATOR_DISCRIMINATOR = 2;
declare function getInitializeOperatorDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountBase extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? WritableAccount<TAccountConfig> : TAccountConfig,
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountAdmin extends string ? WritableSignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountBase extends string ? ReadonlySignerAccount<TAccountBase> & IAccountSignerMeta<TAccountBase> : TAccountBase,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeOperatorInstructionData = {
    discriminator: number;
    operatorFeeBps: number;
};
type InitializeOperatorInstructionDataArgs = {
    operatorFeeBps: number;
};
declare function getInitializeOperatorInstructionDataEncoder(): Encoder<InitializeOperatorInstructionDataArgs>;
declare function getInitializeOperatorInstructionDataDecoder(): Decoder<InitializeOperatorInstructionData>;
declare function getInitializeOperatorInstructionDataCodec(): Codec<InitializeOperatorInstructionDataArgs, InitializeOperatorInstructionData>;
type InitializeOperatorInput<TAccountConfig extends string = string, TAccountOperator extends string = string, TAccountAdmin extends string = string, TAccountBase extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    operator: Address<TAccountOperator>;
    admin: TransactionSigner<TAccountAdmin>;
    base: TransactionSigner<TAccountBase>;
    systemProgram?: Address<TAccountSystemProgram>;
    operatorFeeBps: InitializeOperatorInstructionDataArgs['operatorFeeBps'];
};
declare function getInitializeOperatorInstruction<TAccountConfig extends string, TAccountOperator extends string, TAccountAdmin extends string, TAccountBase extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeOperatorInput<TAccountConfig, TAccountOperator, TAccountAdmin, TAccountBase, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeOperatorInstruction<TProgramAddress, TAccountConfig, TAccountOperator, TAccountAdmin, TAccountBase, TAccountSystemProgram>;
type ParsedInitializeOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        operator: TAccountMetas[1];
        admin: TAccountMetas[2];
        base: TAccountMetas[3];
        systemProgram: TAccountMetas[4];
    };
    data: InitializeOperatorInstructionData;
};
declare function parseInitializeOperatorInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeOperatorInstruction<TProgram, TAccountMetas>;

declare const INITIALIZE_OPERATOR_VAULT_TICKET_DISCRIMINATOR = 5;
declare function getInitializeOperatorVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type InitializeOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountOperatorVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountPayer extends string | IAccountMeta<string> = string, TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountOperatorVaultTicket extends string ? WritableAccount<TAccountOperatorVaultTicket> : TAccountOperatorVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountPayer extends string ? WritableSignerAccount<TAccountPayer> & IAccountSignerMeta<TAccountPayer> : TAccountPayer,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    ...TRemainingAccounts
]>;
type InitializeOperatorVaultTicketInstructionData = {
    discriminator: number;
};
type InitializeOperatorVaultTicketInstructionDataArgs = {};
declare function getInitializeOperatorVaultTicketInstructionDataEncoder(): Encoder<InitializeOperatorVaultTicketInstructionDataArgs>;
declare function getInitializeOperatorVaultTicketInstructionDataDecoder(): Decoder<InitializeOperatorVaultTicketInstructionData>;
declare function getInitializeOperatorVaultTicketInstructionDataCodec(): Codec<InitializeOperatorVaultTicketInstructionDataArgs, InitializeOperatorVaultTicketInstructionData>;
type InitializeOperatorVaultTicketInput<TAccountConfig extends string = string, TAccountOperator extends string = string, TAccountVault extends string = string, TAccountOperatorVaultTicket extends string = string, TAccountAdmin extends string = string, TAccountPayer extends string = string, TAccountSystemProgram extends string = string> = {
    config: Address<TAccountConfig>;
    operator: Address<TAccountOperator>;
    vault: Address<TAccountVault>;
    operatorVaultTicket: Address<TAccountOperatorVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
    payer: TransactionSigner<TAccountPayer>;
    systemProgram?: Address<TAccountSystemProgram>;
};
declare function getInitializeOperatorVaultTicketInstruction<TAccountConfig extends string, TAccountOperator extends string, TAccountVault extends string, TAccountOperatorVaultTicket extends string, TAccountAdmin extends string, TAccountPayer extends string, TAccountSystemProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: InitializeOperatorVaultTicketInput<TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>, config?: {
    programAddress?: TProgramAddress;
}): InitializeOperatorVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin, TAccountPayer, TAccountSystemProgram>;
type ParsedInitializeOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        operator: TAccountMetas[1];
        vault: TAccountMetas[2];
        operatorVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
        payer: TAccountMetas[5];
        systemProgram: TAccountMetas[6];
    };
    data: InitializeOperatorVaultTicketInstructionData;
};
declare function parseInitializeOperatorVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedInitializeOperatorVaultTicketInstruction<TProgram, TAccountMetas>;

declare const NCN_COOLDOWN_OPERATOR_DISCRIMINATOR = 10;
declare function getNcnCooldownOperatorDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type NcnCooldownOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountNcnOperatorState extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountNcnOperatorState extends string ? WritableAccount<TAccountNcnOperatorState> : TAccountNcnOperatorState,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type NcnCooldownOperatorInstructionData = {
    discriminator: number;
};
type NcnCooldownOperatorInstructionDataArgs = {};
declare function getNcnCooldownOperatorInstructionDataEncoder(): Encoder<NcnCooldownOperatorInstructionDataArgs>;
declare function getNcnCooldownOperatorInstructionDataDecoder(): Decoder<NcnCooldownOperatorInstructionData>;
declare function getNcnCooldownOperatorInstructionDataCodec(): Codec<NcnCooldownOperatorInstructionDataArgs, NcnCooldownOperatorInstructionData>;
type NcnCooldownOperatorInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountOperator extends string = string, TAccountNcnOperatorState extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    operator: Address<TAccountOperator>;
    ncnOperatorState: Address<TAccountNcnOperatorState>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getNcnCooldownOperatorInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountOperator extends string, TAccountNcnOperatorState extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: NcnCooldownOperatorInput<TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): NcnCooldownOperatorInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>;
type ParsedNcnCooldownOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        operator: TAccountMetas[2];
        ncnOperatorState: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: NcnCooldownOperatorInstructionData;
};
declare function parseNcnCooldownOperatorInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedNcnCooldownOperatorInstruction<TProgram, TAccountMetas>;

declare const NCN_DELEGATE_TOKEN_ACCOUNT_DISCRIMINATOR = 22;
declare function getNcnDelegateTokenAccountDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type NcnDelegateTokenAccountInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountNcn extends string | IAccountMeta<string> = string, TAccountDelegateAdmin extends string | IAccountMeta<string> = string, TAccountTokenMint extends string | IAccountMeta<string> = string, TAccountTokenAccount extends string | IAccountMeta<string> = string, TAccountDelegate extends string | IAccountMeta<string> = string, TAccountTokenProgram extends string | IAccountMeta<string> = 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountDelegateAdmin extends string ? ReadonlySignerAccount<TAccountDelegateAdmin> & IAccountSignerMeta<TAccountDelegateAdmin> : TAccountDelegateAdmin,
    TAccountTokenMint extends string ? ReadonlyAccount<TAccountTokenMint> : TAccountTokenMint,
    TAccountTokenAccount extends string ? WritableAccount<TAccountTokenAccount> : TAccountTokenAccount,
    TAccountDelegate extends string ? ReadonlyAccount<TAccountDelegate> : TAccountDelegate,
    TAccountTokenProgram extends string ? ReadonlyAccount<TAccountTokenProgram> : TAccountTokenProgram,
    ...TRemainingAccounts
]>;
type NcnDelegateTokenAccountInstructionData = {
    discriminator: number;
};
type NcnDelegateTokenAccountInstructionDataArgs = {};
declare function getNcnDelegateTokenAccountInstructionDataEncoder(): Encoder<NcnDelegateTokenAccountInstructionDataArgs>;
declare function getNcnDelegateTokenAccountInstructionDataDecoder(): Decoder<NcnDelegateTokenAccountInstructionData>;
declare function getNcnDelegateTokenAccountInstructionDataCodec(): Codec<NcnDelegateTokenAccountInstructionDataArgs, NcnDelegateTokenAccountInstructionData>;
type NcnDelegateTokenAccountInput<TAccountNcn extends string = string, TAccountDelegateAdmin extends string = string, TAccountTokenMint extends string = string, TAccountTokenAccount extends string = string, TAccountDelegate extends string = string, TAccountTokenProgram extends string = string> = {
    ncn: Address<TAccountNcn>;
    delegateAdmin: TransactionSigner<TAccountDelegateAdmin>;
    tokenMint: Address<TAccountTokenMint>;
    tokenAccount: Address<TAccountTokenAccount>;
    delegate: Address<TAccountDelegate>;
    tokenProgram?: Address<TAccountTokenProgram>;
};
declare function getNcnDelegateTokenAccountInstruction<TAccountNcn extends string, TAccountDelegateAdmin extends string, TAccountTokenMint extends string, TAccountTokenAccount extends string, TAccountDelegate extends string, TAccountTokenProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: NcnDelegateTokenAccountInput<TAccountNcn, TAccountDelegateAdmin, TAccountTokenMint, TAccountTokenAccount, TAccountDelegate, TAccountTokenProgram>, config?: {
    programAddress?: TProgramAddress;
}): NcnDelegateTokenAccountInstruction<TProgramAddress, TAccountNcn, TAccountDelegateAdmin, TAccountTokenMint, TAccountTokenAccount, TAccountDelegate, TAccountTokenProgram>;
type ParsedNcnDelegateTokenAccountInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        ncn: TAccountMetas[0];
        delegateAdmin: TAccountMetas[1];
        tokenMint: TAccountMetas[2];
        tokenAccount: TAccountMetas[3];
        delegate: TAccountMetas[4];
        tokenProgram: TAccountMetas[5];
    };
    data: NcnDelegateTokenAccountInstructionData;
};
declare function parseNcnDelegateTokenAccountInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedNcnDelegateTokenAccountInstruction<TProgram, TAccountMetas>;

declare const NCN_SET_ADMIN_DISCRIMINATOR = 17;
declare function getNcnSetAdminDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type NcnSetAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOldAdmin extends string | IAccountMeta<string> = string, TAccountNewAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountOldAdmin extends string ? ReadonlySignerAccount<TAccountOldAdmin> & IAccountSignerMeta<TAccountOldAdmin> : TAccountOldAdmin,
    TAccountNewAdmin extends string ? ReadonlySignerAccount<TAccountNewAdmin> & IAccountSignerMeta<TAccountNewAdmin> : TAccountNewAdmin,
    ...TRemainingAccounts
]>;
type NcnSetAdminInstructionData = {
    discriminator: number;
};
type NcnSetAdminInstructionDataArgs = {};
declare function getNcnSetAdminInstructionDataEncoder(): Encoder<NcnSetAdminInstructionDataArgs>;
declare function getNcnSetAdminInstructionDataDecoder(): Decoder<NcnSetAdminInstructionData>;
declare function getNcnSetAdminInstructionDataCodec(): Codec<NcnSetAdminInstructionDataArgs, NcnSetAdminInstructionData>;
type NcnSetAdminInput<TAccountNcn extends string = string, TAccountOldAdmin extends string = string, TAccountNewAdmin extends string = string> = {
    ncn: Address<TAccountNcn>;
    oldAdmin: TransactionSigner<TAccountOldAdmin>;
    newAdmin: TransactionSigner<TAccountNewAdmin>;
};
declare function getNcnSetAdminInstruction<TAccountNcn extends string, TAccountOldAdmin extends string, TAccountNewAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: NcnSetAdminInput<TAccountNcn, TAccountOldAdmin, TAccountNewAdmin>, config?: {
    programAddress?: TProgramAddress;
}): NcnSetAdminInstruction<TProgramAddress, TAccountNcn, TAccountOldAdmin, TAccountNewAdmin>;
type ParsedNcnSetAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        ncn: TAccountMetas[0];
        oldAdmin: TAccountMetas[1];
        newAdmin: TAccountMetas[2];
    };
    data: NcnSetAdminInstructionData;
};
declare function parseNcnSetAdminInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedNcnSetAdminInstruction<TProgram, TAccountMetas>;

declare const NCN_SET_SECONDARY_ADMIN_DISCRIMINATOR = 18;
declare function getNcnSetSecondaryAdminDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type NcnSetSecondaryAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountNcn extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountNewAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountNcn extends string ? WritableAccount<TAccountNcn> : TAccountNcn,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountNewAdmin extends string ? ReadonlyAccount<TAccountNewAdmin> : TAccountNewAdmin,
    ...TRemainingAccounts
]>;
type NcnSetSecondaryAdminInstructionData = {
    discriminator: number;
    ncnAdminRole: NcnAdminRole;
};
type NcnSetSecondaryAdminInstructionDataArgs = {
    ncnAdminRole: NcnAdminRoleArgs;
};
declare function getNcnSetSecondaryAdminInstructionDataEncoder(): Encoder<NcnSetSecondaryAdminInstructionDataArgs>;
declare function getNcnSetSecondaryAdminInstructionDataDecoder(): Decoder<NcnSetSecondaryAdminInstructionData>;
declare function getNcnSetSecondaryAdminInstructionDataCodec(): Codec<NcnSetSecondaryAdminInstructionDataArgs, NcnSetSecondaryAdminInstructionData>;
type NcnSetSecondaryAdminInput<TAccountNcn extends string = string, TAccountAdmin extends string = string, TAccountNewAdmin extends string = string> = {
    ncn: Address<TAccountNcn>;
    admin: TransactionSigner<TAccountAdmin>;
    newAdmin: Address<TAccountNewAdmin>;
    ncnAdminRole: NcnSetSecondaryAdminInstructionDataArgs['ncnAdminRole'];
};
declare function getNcnSetSecondaryAdminInstruction<TAccountNcn extends string, TAccountAdmin extends string, TAccountNewAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: NcnSetSecondaryAdminInput<TAccountNcn, TAccountAdmin, TAccountNewAdmin>, config?: {
    programAddress?: TProgramAddress;
}): NcnSetSecondaryAdminInstruction<TProgramAddress, TAccountNcn, TAccountAdmin, TAccountNewAdmin>;
type ParsedNcnSetSecondaryAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        ncn: TAccountMetas[0];
        admin: TAccountMetas[1];
        newAdmin: TAccountMetas[2];
    };
    data: NcnSetSecondaryAdminInstructionData;
};
declare function parseNcnSetSecondaryAdminInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedNcnSetSecondaryAdminInstruction<TProgram, TAccountMetas>;

declare const NCN_WARMUP_OPERATOR_DISCRIMINATOR = 9;
declare function getNcnWarmupOperatorDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type NcnWarmupOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountNcnOperatorState extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountNcnOperatorState extends string ? WritableAccount<TAccountNcnOperatorState> : TAccountNcnOperatorState,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type NcnWarmupOperatorInstructionData = {
    discriminator: number;
};
type NcnWarmupOperatorInstructionDataArgs = {};
declare function getNcnWarmupOperatorInstructionDataEncoder(): Encoder<NcnWarmupOperatorInstructionDataArgs>;
declare function getNcnWarmupOperatorInstructionDataDecoder(): Decoder<NcnWarmupOperatorInstructionData>;
declare function getNcnWarmupOperatorInstructionDataCodec(): Codec<NcnWarmupOperatorInstructionDataArgs, NcnWarmupOperatorInstructionData>;
type NcnWarmupOperatorInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountOperator extends string = string, TAccountNcnOperatorState extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    operator: Address<TAccountOperator>;
    ncnOperatorState: Address<TAccountNcnOperatorState>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getNcnWarmupOperatorInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountOperator extends string, TAccountNcnOperatorState extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: NcnWarmupOperatorInput<TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): NcnWarmupOperatorInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>;
type ParsedNcnWarmupOperatorInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        operator: TAccountMetas[2];
        ncnOperatorState: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: NcnWarmupOperatorInstructionData;
};
declare function parseNcnWarmupOperatorInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedNcnWarmupOperatorInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_COOLDOWN_NCN_DISCRIMINATOR = 12;
declare function getOperatorCooldownNcnDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorCooldownNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountNcnOperatorState extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountNcnOperatorState extends string ? WritableAccount<TAccountNcnOperatorState> : TAccountNcnOperatorState,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type OperatorCooldownNcnInstructionData = {
    discriminator: number;
};
type OperatorCooldownNcnInstructionDataArgs = {};
declare function getOperatorCooldownNcnInstructionDataEncoder(): Encoder<OperatorCooldownNcnInstructionDataArgs>;
declare function getOperatorCooldownNcnInstructionDataDecoder(): Decoder<OperatorCooldownNcnInstructionData>;
declare function getOperatorCooldownNcnInstructionDataCodec(): Codec<OperatorCooldownNcnInstructionDataArgs, OperatorCooldownNcnInstructionData>;
type OperatorCooldownNcnInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountOperator extends string = string, TAccountNcnOperatorState extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    operator: Address<TAccountOperator>;
    ncnOperatorState: Address<TAccountNcnOperatorState>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getOperatorCooldownNcnInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountOperator extends string, TAccountNcnOperatorState extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorCooldownNcnInput<TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): OperatorCooldownNcnInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>;
type ParsedOperatorCooldownNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        operator: TAccountMetas[2];
        ncnOperatorState: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: OperatorCooldownNcnInstructionData;
};
declare function parseOperatorCooldownNcnInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorCooldownNcnInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_DELEGATE_TOKEN_ACCOUNT_DISCRIMINATOR = 23;
declare function getOperatorDelegateTokenAccountDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorDelegateTokenAccountInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountOperator extends string | IAccountMeta<string> = string, TAccountDelegateAdmin extends string | IAccountMeta<string> = string, TAccountTokenMint extends string | IAccountMeta<string> = string, TAccountTokenAccount extends string | IAccountMeta<string> = string, TAccountDelegate extends string | IAccountMeta<string> = string, TAccountTokenProgram extends string | IAccountMeta<string> = 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA', TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountDelegateAdmin extends string ? ReadonlySignerAccount<TAccountDelegateAdmin> & IAccountSignerMeta<TAccountDelegateAdmin> : TAccountDelegateAdmin,
    TAccountTokenMint extends string ? ReadonlyAccount<TAccountTokenMint> : TAccountTokenMint,
    TAccountTokenAccount extends string ? WritableAccount<TAccountTokenAccount> : TAccountTokenAccount,
    TAccountDelegate extends string ? ReadonlyAccount<TAccountDelegate> : TAccountDelegate,
    TAccountTokenProgram extends string ? ReadonlyAccount<TAccountTokenProgram> : TAccountTokenProgram,
    ...TRemainingAccounts
]>;
type OperatorDelegateTokenAccountInstructionData = {
    discriminator: number;
};
type OperatorDelegateTokenAccountInstructionDataArgs = {};
declare function getOperatorDelegateTokenAccountInstructionDataEncoder(): Encoder<OperatorDelegateTokenAccountInstructionDataArgs>;
declare function getOperatorDelegateTokenAccountInstructionDataDecoder(): Decoder<OperatorDelegateTokenAccountInstructionData>;
declare function getOperatorDelegateTokenAccountInstructionDataCodec(): Codec<OperatorDelegateTokenAccountInstructionDataArgs, OperatorDelegateTokenAccountInstructionData>;
type OperatorDelegateTokenAccountInput<TAccountOperator extends string = string, TAccountDelegateAdmin extends string = string, TAccountTokenMint extends string = string, TAccountTokenAccount extends string = string, TAccountDelegate extends string = string, TAccountTokenProgram extends string = string> = {
    operator: Address<TAccountOperator>;
    delegateAdmin: TransactionSigner<TAccountDelegateAdmin>;
    tokenMint: Address<TAccountTokenMint>;
    tokenAccount: Address<TAccountTokenAccount>;
    delegate: Address<TAccountDelegate>;
    tokenProgram?: Address<TAccountTokenProgram>;
};
declare function getOperatorDelegateTokenAccountInstruction<TAccountOperator extends string, TAccountDelegateAdmin extends string, TAccountTokenMint extends string, TAccountTokenAccount extends string, TAccountDelegate extends string, TAccountTokenProgram extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorDelegateTokenAccountInput<TAccountOperator, TAccountDelegateAdmin, TAccountTokenMint, TAccountTokenAccount, TAccountDelegate, TAccountTokenProgram>, config?: {
    programAddress?: TProgramAddress;
}): OperatorDelegateTokenAccountInstruction<TProgramAddress, TAccountOperator, TAccountDelegateAdmin, TAccountTokenMint, TAccountTokenAccount, TAccountDelegate, TAccountTokenProgram>;
type ParsedOperatorDelegateTokenAccountInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        operator: TAccountMetas[0];
        delegateAdmin: TAccountMetas[1];
        tokenMint: TAccountMetas[2];
        tokenAccount: TAccountMetas[3];
        delegate: TAccountMetas[4];
        tokenProgram: TAccountMetas[5];
    };
    data: OperatorDelegateTokenAccountInstructionData;
};
declare function parseOperatorDelegateTokenAccountInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorDelegateTokenAccountInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_SET_ADMIN_DISCRIMINATOR = 19;
declare function getOperatorSetAdminDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorSetAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountOperator extends string | IAccountMeta<string> = string, TAccountOldAdmin extends string | IAccountMeta<string> = string, TAccountNewAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountOldAdmin extends string ? ReadonlySignerAccount<TAccountOldAdmin> & IAccountSignerMeta<TAccountOldAdmin> : TAccountOldAdmin,
    TAccountNewAdmin extends string ? ReadonlySignerAccount<TAccountNewAdmin> & IAccountSignerMeta<TAccountNewAdmin> : TAccountNewAdmin,
    ...TRemainingAccounts
]>;
type OperatorSetAdminInstructionData = {
    discriminator: number;
};
type OperatorSetAdminInstructionDataArgs = {};
declare function getOperatorSetAdminInstructionDataEncoder(): Encoder<OperatorSetAdminInstructionDataArgs>;
declare function getOperatorSetAdminInstructionDataDecoder(): Decoder<OperatorSetAdminInstructionData>;
declare function getOperatorSetAdminInstructionDataCodec(): Codec<OperatorSetAdminInstructionDataArgs, OperatorSetAdminInstructionData>;
type OperatorSetAdminInput<TAccountOperator extends string = string, TAccountOldAdmin extends string = string, TAccountNewAdmin extends string = string> = {
    operator: Address<TAccountOperator>;
    oldAdmin: TransactionSigner<TAccountOldAdmin>;
    newAdmin: TransactionSigner<TAccountNewAdmin>;
};
declare function getOperatorSetAdminInstruction<TAccountOperator extends string, TAccountOldAdmin extends string, TAccountNewAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorSetAdminInput<TAccountOperator, TAccountOldAdmin, TAccountNewAdmin>, config?: {
    programAddress?: TProgramAddress;
}): OperatorSetAdminInstruction<TProgramAddress, TAccountOperator, TAccountOldAdmin, TAccountNewAdmin>;
type ParsedOperatorSetAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        operator: TAccountMetas[0];
        oldAdmin: TAccountMetas[1];
        newAdmin: TAccountMetas[2];
    };
    data: OperatorSetAdminInstructionData;
};
declare function parseOperatorSetAdminInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorSetAdminInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_SET_FEE_DISCRIMINATOR = 21;
declare function getOperatorSetFeeDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorSetFeeInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type OperatorSetFeeInstructionData = {
    discriminator: number;
    newFeeBps: number;
};
type OperatorSetFeeInstructionDataArgs = {
    newFeeBps: number;
};
declare function getOperatorSetFeeInstructionDataEncoder(): Encoder<OperatorSetFeeInstructionDataArgs>;
declare function getOperatorSetFeeInstructionDataDecoder(): Decoder<OperatorSetFeeInstructionData>;
declare function getOperatorSetFeeInstructionDataCodec(): Codec<OperatorSetFeeInstructionDataArgs, OperatorSetFeeInstructionData>;
type OperatorSetFeeInput<TAccountConfig extends string = string, TAccountOperator extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    operator: Address<TAccountOperator>;
    admin: TransactionSigner<TAccountAdmin>;
    newFeeBps: OperatorSetFeeInstructionDataArgs['newFeeBps'];
};
declare function getOperatorSetFeeInstruction<TAccountConfig extends string, TAccountOperator extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorSetFeeInput<TAccountConfig, TAccountOperator, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): OperatorSetFeeInstruction<TProgramAddress, TAccountConfig, TAccountOperator, TAccountAdmin>;
type ParsedOperatorSetFeeInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        operator: TAccountMetas[1];
        admin: TAccountMetas[2];
    };
    data: OperatorSetFeeInstructionData;
};
declare function parseOperatorSetFeeInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorSetFeeInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_SET_SECONDARY_ADMIN_DISCRIMINATOR = 20;
declare function getOperatorSetSecondaryAdminDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorSetSecondaryAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountOperator extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TAccountNewAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountOperator extends string ? WritableAccount<TAccountOperator> : TAccountOperator,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    TAccountNewAdmin extends string ? ReadonlyAccount<TAccountNewAdmin> : TAccountNewAdmin,
    ...TRemainingAccounts
]>;
type OperatorSetSecondaryAdminInstructionData = {
    discriminator: number;
    operatorAdminRole: OperatorAdminRole;
};
type OperatorSetSecondaryAdminInstructionDataArgs = {
    operatorAdminRole: OperatorAdminRoleArgs;
};
declare function getOperatorSetSecondaryAdminInstructionDataEncoder(): Encoder<OperatorSetSecondaryAdminInstructionDataArgs>;
declare function getOperatorSetSecondaryAdminInstructionDataDecoder(): Decoder<OperatorSetSecondaryAdminInstructionData>;
declare function getOperatorSetSecondaryAdminInstructionDataCodec(): Codec<OperatorSetSecondaryAdminInstructionDataArgs, OperatorSetSecondaryAdminInstructionData>;
type OperatorSetSecondaryAdminInput<TAccountOperator extends string = string, TAccountAdmin extends string = string, TAccountNewAdmin extends string = string> = {
    operator: Address<TAccountOperator>;
    admin: TransactionSigner<TAccountAdmin>;
    newAdmin: Address<TAccountNewAdmin>;
    operatorAdminRole: OperatorSetSecondaryAdminInstructionDataArgs['operatorAdminRole'];
};
declare function getOperatorSetSecondaryAdminInstruction<TAccountOperator extends string, TAccountAdmin extends string, TAccountNewAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorSetSecondaryAdminInput<TAccountOperator, TAccountAdmin, TAccountNewAdmin>, config?: {
    programAddress?: TProgramAddress;
}): OperatorSetSecondaryAdminInstruction<TProgramAddress, TAccountOperator, TAccountAdmin, TAccountNewAdmin>;
type ParsedOperatorSetSecondaryAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        operator: TAccountMetas[0];
        admin: TAccountMetas[1];
        newAdmin: TAccountMetas[2];
    };
    data: OperatorSetSecondaryAdminInstructionData;
};
declare function parseOperatorSetSecondaryAdminInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorSetSecondaryAdminInstruction<TProgram, TAccountMetas>;

declare const OPERATOR_WARMUP_NCN_DISCRIMINATOR = 11;
declare function getOperatorWarmupNcnDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type OperatorWarmupNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountNcnOperatorState extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountNcnOperatorState extends string ? WritableAccount<TAccountNcnOperatorState> : TAccountNcnOperatorState,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type OperatorWarmupNcnInstructionData = {
    discriminator: number;
};
type OperatorWarmupNcnInstructionDataArgs = {};
declare function getOperatorWarmupNcnInstructionDataEncoder(): Encoder<OperatorWarmupNcnInstructionDataArgs>;
declare function getOperatorWarmupNcnInstructionDataDecoder(): Decoder<OperatorWarmupNcnInstructionData>;
declare function getOperatorWarmupNcnInstructionDataCodec(): Codec<OperatorWarmupNcnInstructionDataArgs, OperatorWarmupNcnInstructionData>;
type OperatorWarmupNcnInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountOperator extends string = string, TAccountNcnOperatorState extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    operator: Address<TAccountOperator>;
    ncnOperatorState: Address<TAccountNcnOperatorState>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getOperatorWarmupNcnInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountOperator extends string, TAccountNcnOperatorState extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: OperatorWarmupNcnInput<TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): OperatorWarmupNcnInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountOperator, TAccountNcnOperatorState, TAccountAdmin>;
type ParsedOperatorWarmupNcnInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        operator: TAccountMetas[2];
        ncnOperatorState: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: OperatorWarmupNcnInstructionData;
};
declare function parseOperatorWarmupNcnInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedOperatorWarmupNcnInstruction<TProgram, TAccountMetas>;

declare const SET_CONFIG_ADMIN_DISCRIMINATOR = 24;
declare function getSetConfigAdminDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type SetConfigAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOldAdmin extends string | IAccountMeta<string> = string, TAccountNewAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? WritableAccount<TAccountConfig> : TAccountConfig,
    TAccountOldAdmin extends string ? ReadonlySignerAccount<TAccountOldAdmin> & IAccountSignerMeta<TAccountOldAdmin> : TAccountOldAdmin,
    TAccountNewAdmin extends string ? ReadonlyAccount<TAccountNewAdmin> : TAccountNewAdmin,
    ...TRemainingAccounts
]>;
type SetConfigAdminInstructionData = {
    discriminator: number;
};
type SetConfigAdminInstructionDataArgs = {};
declare function getSetConfigAdminInstructionDataEncoder(): Encoder<SetConfigAdminInstructionDataArgs>;
declare function getSetConfigAdminInstructionDataDecoder(): Decoder<SetConfigAdminInstructionData>;
declare function getSetConfigAdminInstructionDataCodec(): Codec<SetConfigAdminInstructionDataArgs, SetConfigAdminInstructionData>;
type SetConfigAdminInput<TAccountConfig extends string = string, TAccountOldAdmin extends string = string, TAccountNewAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    oldAdmin: TransactionSigner<TAccountOldAdmin>;
    newAdmin: Address<TAccountNewAdmin>;
};
declare function getSetConfigAdminInstruction<TAccountConfig extends string, TAccountOldAdmin extends string, TAccountNewAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: SetConfigAdminInput<TAccountConfig, TAccountOldAdmin, TAccountNewAdmin>, config?: {
    programAddress?: TProgramAddress;
}): SetConfigAdminInstruction<TProgramAddress, TAccountConfig, TAccountOldAdmin, TAccountNewAdmin>;
type ParsedSetConfigAdminInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        oldAdmin: TAccountMetas[1];
        newAdmin: TAccountMetas[2];
    };
    data: SetConfigAdminInstructionData;
};
declare function parseSetConfigAdminInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedSetConfigAdminInstruction<TProgram, TAccountMetas>;

declare const WARMUP_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR = 13;
declare function getWarmupNcnVaultSlasherTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type WarmupNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountSlasher extends string | IAccountMeta<string> = string, TAccountNcnVaultTicket extends string | IAccountMeta<string> = string, TAccountNcnVaultSlasherTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountSlasher extends string ? ReadonlyAccount<TAccountSlasher> : TAccountSlasher,
    TAccountNcnVaultTicket extends string ? ReadonlyAccount<TAccountNcnVaultTicket> : TAccountNcnVaultTicket,
    TAccountNcnVaultSlasherTicket extends string ? WritableAccount<TAccountNcnVaultSlasherTicket> : TAccountNcnVaultSlasherTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type WarmupNcnVaultSlasherTicketInstructionData = {
    discriminator: number;
};
type WarmupNcnVaultSlasherTicketInstructionDataArgs = {};
declare function getWarmupNcnVaultSlasherTicketInstructionDataEncoder(): Encoder<WarmupNcnVaultSlasherTicketInstructionDataArgs>;
declare function getWarmupNcnVaultSlasherTicketInstructionDataDecoder(): Decoder<WarmupNcnVaultSlasherTicketInstructionData>;
declare function getWarmupNcnVaultSlasherTicketInstructionDataCodec(): Codec<WarmupNcnVaultSlasherTicketInstructionDataArgs, WarmupNcnVaultSlasherTicketInstructionData>;
type WarmupNcnVaultSlasherTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountSlasher extends string = string, TAccountNcnVaultTicket extends string = string, TAccountNcnVaultSlasherTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    slasher: Address<TAccountSlasher>;
    ncnVaultTicket: Address<TAccountNcnVaultTicket>;
    ncnVaultSlasherTicket: Address<TAccountNcnVaultSlasherTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getWarmupNcnVaultSlasherTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountSlasher extends string, TAccountNcnVaultTicket extends string, TAccountNcnVaultSlasherTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: WarmupNcnVaultSlasherTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultTicket, TAccountNcnVaultSlasherTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): WarmupNcnVaultSlasherTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountSlasher, TAccountNcnVaultTicket, TAccountNcnVaultSlasherTicket, TAccountAdmin>;
type ParsedWarmupNcnVaultSlasherTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        slasher: TAccountMetas[3];
        ncnVaultTicket: TAccountMetas[4];
        ncnVaultSlasherTicket: TAccountMetas[5];
        admin: TAccountMetas[6];
    };
    data: WarmupNcnVaultSlasherTicketInstructionData;
};
declare function parseWarmupNcnVaultSlasherTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedWarmupNcnVaultSlasherTicketInstruction<TProgram, TAccountMetas>;

declare const WARMUP_NCN_VAULT_TICKET_DISCRIMINATOR = 7;
declare function getWarmupNcnVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type WarmupNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountNcn extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountNcnVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountNcn extends string ? ReadonlyAccount<TAccountNcn> : TAccountNcn,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountNcnVaultTicket extends string ? WritableAccount<TAccountNcnVaultTicket> : TAccountNcnVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type WarmupNcnVaultTicketInstructionData = {
    discriminator: number;
};
type WarmupNcnVaultTicketInstructionDataArgs = {};
declare function getWarmupNcnVaultTicketInstructionDataEncoder(): Encoder<WarmupNcnVaultTicketInstructionDataArgs>;
declare function getWarmupNcnVaultTicketInstructionDataDecoder(): Decoder<WarmupNcnVaultTicketInstructionData>;
declare function getWarmupNcnVaultTicketInstructionDataCodec(): Codec<WarmupNcnVaultTicketInstructionDataArgs, WarmupNcnVaultTicketInstructionData>;
type WarmupNcnVaultTicketInput<TAccountConfig extends string = string, TAccountNcn extends string = string, TAccountVault extends string = string, TAccountNcnVaultTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    ncn: Address<TAccountNcn>;
    vault: Address<TAccountVault>;
    ncnVaultTicket: Address<TAccountNcnVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getWarmupNcnVaultTicketInstruction<TAccountConfig extends string, TAccountNcn extends string, TAccountVault extends string, TAccountNcnVaultTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: WarmupNcnVaultTicketInput<TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): WarmupNcnVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountNcn, TAccountVault, TAccountNcnVaultTicket, TAccountAdmin>;
type ParsedWarmupNcnVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        ncn: TAccountMetas[1];
        vault: TAccountMetas[2];
        ncnVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: WarmupNcnVaultTicketInstructionData;
};
declare function parseWarmupNcnVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedWarmupNcnVaultTicketInstruction<TProgram, TAccountMetas>;

declare const WARMUP_OPERATOR_VAULT_TICKET_DISCRIMINATOR = 15;
declare function getWarmupOperatorVaultTicketDiscriminatorBytes(): _solana_kit.ReadonlyUint8Array;
type WarmupOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountConfig extends string | IAccountMeta<string> = string, TAccountOperator extends string | IAccountMeta<string> = string, TAccountVault extends string | IAccountMeta<string> = string, TAccountOperatorVaultTicket extends string | IAccountMeta<string> = string, TAccountAdmin extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountConfig extends string ? ReadonlyAccount<TAccountConfig> : TAccountConfig,
    TAccountOperator extends string ? ReadonlyAccount<TAccountOperator> : TAccountOperator,
    TAccountVault extends string ? ReadonlyAccount<TAccountVault> : TAccountVault,
    TAccountOperatorVaultTicket extends string ? WritableAccount<TAccountOperatorVaultTicket> : TAccountOperatorVaultTicket,
    TAccountAdmin extends string ? ReadonlySignerAccount<TAccountAdmin> & IAccountSignerMeta<TAccountAdmin> : TAccountAdmin,
    ...TRemainingAccounts
]>;
type WarmupOperatorVaultTicketInstructionData = {
    discriminator: number;
};
type WarmupOperatorVaultTicketInstructionDataArgs = {};
declare function getWarmupOperatorVaultTicketInstructionDataEncoder(): Encoder<WarmupOperatorVaultTicketInstructionDataArgs>;
declare function getWarmupOperatorVaultTicketInstructionDataDecoder(): Decoder<WarmupOperatorVaultTicketInstructionData>;
declare function getWarmupOperatorVaultTicketInstructionDataCodec(): Codec<WarmupOperatorVaultTicketInstructionDataArgs, WarmupOperatorVaultTicketInstructionData>;
type WarmupOperatorVaultTicketInput<TAccountConfig extends string = string, TAccountOperator extends string = string, TAccountVault extends string = string, TAccountOperatorVaultTicket extends string = string, TAccountAdmin extends string = string> = {
    config: Address<TAccountConfig>;
    operator: Address<TAccountOperator>;
    vault: Address<TAccountVault>;
    operatorVaultTicket: Address<TAccountOperatorVaultTicket>;
    admin: TransactionSigner<TAccountAdmin>;
};
declare function getWarmupOperatorVaultTicketInstruction<TAccountConfig extends string, TAccountOperator extends string, TAccountVault extends string, TAccountOperatorVaultTicket extends string, TAccountAdmin extends string, TProgramAddress extends Address = typeof JITO_RESTAKING_PROGRAM_ADDRESS>(input: WarmupOperatorVaultTicketInput<TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin>, config?: {
    programAddress?: TProgramAddress;
}): WarmupOperatorVaultTicketInstruction<TProgramAddress, TAccountConfig, TAccountOperator, TAccountVault, TAccountOperatorVaultTicket, TAccountAdmin>;
type ParsedWarmupOperatorVaultTicketInstruction<TProgram extends string = typeof JITO_RESTAKING_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        config: TAccountMetas[0];
        operator: TAccountMetas[1];
        vault: TAccountMetas[2];
        operatorVaultTicket: TAccountMetas[3];
        admin: TAccountMetas[4];
    };
    data: WarmupOperatorVaultTicketInstructionData;
};
declare function parseWarmupOperatorVaultTicketInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedWarmupOperatorVaultTicketInstruction<TProgram, TAccountMetas>;

export { COOLDOWN_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR, COOLDOWN_NCN_VAULT_TICKET_DISCRIMINATOR, COOLDOWN_OPERATOR_VAULT_TICKET_DISCRIMINATOR, type Config, type ConfigArgs, type CooldownNcnVaultSlasherTicketInput, type CooldownNcnVaultSlasherTicketInstruction, type CooldownNcnVaultSlasherTicketInstructionData, type CooldownNcnVaultSlasherTicketInstructionDataArgs, type CooldownNcnVaultTicketInput, type CooldownNcnVaultTicketInstruction, type CooldownNcnVaultTicketInstructionData, type CooldownNcnVaultTicketInstructionDataArgs, type CooldownOperatorVaultTicketInput, type CooldownOperatorVaultTicketInstruction, type CooldownOperatorVaultTicketInstructionData, type CooldownOperatorVaultTicketInstructionDataArgs, INITIALIZE_CONFIG_DISCRIMINATOR, INITIALIZE_NCN_DISCRIMINATOR, INITIALIZE_NCN_OPERATOR_STATE_DISCRIMINATOR, INITIALIZE_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR, INITIALIZE_NCN_VAULT_TICKET_DISCRIMINATOR, INITIALIZE_OPERATOR_DISCRIMINATOR, INITIALIZE_OPERATOR_VAULT_TICKET_DISCRIMINATOR, type InitializeConfigInput, type InitializeConfigInstruction, type InitializeConfigInstructionData, type InitializeConfigInstructionDataArgs, type InitializeNcnInput, type InitializeNcnInstruction, type InitializeNcnInstructionData, type InitializeNcnInstructionDataArgs, type InitializeNcnOperatorStateInput, type InitializeNcnOperatorStateInstruction, type InitializeNcnOperatorStateInstructionData, type InitializeNcnOperatorStateInstructionDataArgs, type InitializeNcnVaultSlasherTicketInput, type InitializeNcnVaultSlasherTicketInstruction, type InitializeNcnVaultSlasherTicketInstructionData, type InitializeNcnVaultSlasherTicketInstructionDataArgs, type InitializeNcnVaultTicketInput, type InitializeNcnVaultTicketInstruction, type InitializeNcnVaultTicketInstructionData, type InitializeNcnVaultTicketInstructionDataArgs, type InitializeOperatorInput, type InitializeOperatorInstruction, type InitializeOperatorInstructionData, type InitializeOperatorInstructionDataArgs, type InitializeOperatorVaultTicketInput, type InitializeOperatorVaultTicketInstruction, type InitializeOperatorVaultTicketInstructionData, type InitializeOperatorVaultTicketInstructionDataArgs, JITO_RESTAKING_ERROR__ARITHMETIC_OVERFLOW, JITO_RESTAKING_ERROR__ARITHMETIC_UNDERFLOW, JITO_RESTAKING_ERROR__BAD_EPOCH_LENGTH, JITO_RESTAKING_ERROR__CONFIG_ADMIN_INVALID, JITO_RESTAKING_ERROR__DIVISION_BY_ZERO, JITO_RESTAKING_ERROR__INVALID_EPOCH_LENGTH, JITO_RESTAKING_ERROR__NCN_ADMIN_INVALID, JITO_RESTAKING_ERROR__NCN_COOLDOWN_OPERATOR_FAILED, JITO_RESTAKING_ERROR__NCN_DELEGATE_ADMIN_INVALID, JITO_RESTAKING_ERROR__NCN_OPERATOR_ADMIN_INVALID, JITO_RESTAKING_ERROR__NCN_OVERFLOW, JITO_RESTAKING_ERROR__NCN_SLASHER_ADMIN_INVALID, JITO_RESTAKING_ERROR__NCN_VAULT_ADMIN_INVALID, JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_COOLDOWN, JITO_RESTAKING_ERROR__NCN_VAULT_SLASHER_TICKET_FAILED_WARMUP, JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_COOLDOWN, JITO_RESTAKING_ERROR__NCN_VAULT_TICKET_FAILED_WARMUP, JITO_RESTAKING_ERROR__NCN_WARMUP_OPERATOR_FAILED, JITO_RESTAKING_ERROR__OPERATOR_ADMIN_INVALID, JITO_RESTAKING_ERROR__OPERATOR_COOLDOWN_NCN_FAILED, JITO_RESTAKING_ERROR__OPERATOR_DELEGATE_ADMIN_INVALID, JITO_RESTAKING_ERROR__OPERATOR_FEE_CAP_EXCEEDED, JITO_RESTAKING_ERROR__OPERATOR_NCN_ADMIN_INVALID, JITO_RESTAKING_ERROR__OPERATOR_OVERFLOW, JITO_RESTAKING_ERROR__OPERATOR_VAULT_ADMIN_INVALID, JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_COOLDOWN, JITO_RESTAKING_ERROR__OPERATOR_VAULT_TICKET_FAILED_WARMUP, JITO_RESTAKING_ERROR__OPERATOR_WARMUP_NCN_FAILED, JITO_RESTAKING_ERROR__SLASHER_OVERFLOW, JITO_RESTAKING_ERROR__VAULT_OVERFLOW, JITO_RESTAKING_PROGRAM_ADDRESS, JitoRestakingAccount, type JitoRestakingError, JitoRestakingInstruction, NCN_COOLDOWN_OPERATOR_DISCRIMINATOR, NCN_DELEGATE_TOKEN_ACCOUNT_DISCRIMINATOR, NCN_SET_ADMIN_DISCRIMINATOR, NCN_SET_SECONDARY_ADMIN_DISCRIMINATOR, NCN_WARMUP_OPERATOR_DISCRIMINATOR, type Ncn, NcnAdminRole, type NcnAdminRoleArgs, type NcnArgs, type NcnCooldownOperatorInput, type NcnCooldownOperatorInstruction, type NcnCooldownOperatorInstructionData, type NcnCooldownOperatorInstructionDataArgs, type NcnDelegateTokenAccountInput, type NcnDelegateTokenAccountInstruction, type NcnDelegateTokenAccountInstructionData, type NcnDelegateTokenAccountInstructionDataArgs, type NcnOperatorState, type NcnOperatorStateArgs, type NcnSetAdminInput, type NcnSetAdminInstruction, type NcnSetAdminInstructionData, type NcnSetAdminInstructionDataArgs, type NcnSetSecondaryAdminInput, type NcnSetSecondaryAdminInstruction, type NcnSetSecondaryAdminInstructionData, type NcnSetSecondaryAdminInstructionDataArgs, type NcnVaultSlasherTicket, type NcnVaultSlasherTicketArgs, type NcnVaultTicket, type NcnVaultTicketArgs, type NcnWarmupOperatorInput, type NcnWarmupOperatorInstruction, type NcnWarmupOperatorInstructionData, type NcnWarmupOperatorInstructionDataArgs, OPERATOR_COOLDOWN_NCN_DISCRIMINATOR, OPERATOR_DELEGATE_TOKEN_ACCOUNT_DISCRIMINATOR, OPERATOR_SET_ADMIN_DISCRIMINATOR, OPERATOR_SET_FEE_DISCRIMINATOR, OPERATOR_SET_SECONDARY_ADMIN_DISCRIMINATOR, OPERATOR_WARMUP_NCN_DISCRIMINATOR, type Operator, OperatorAdminRole, type OperatorAdminRoleArgs, type OperatorArgs, type OperatorCooldownNcnInput, type OperatorCooldownNcnInstruction, type OperatorCooldownNcnInstructionData, type OperatorCooldownNcnInstructionDataArgs, type OperatorDelegateTokenAccountInput, type OperatorDelegateTokenAccountInstruction, type OperatorDelegateTokenAccountInstructionData, type OperatorDelegateTokenAccountInstructionDataArgs, type OperatorSetAdminInput, type OperatorSetAdminInstruction, type OperatorSetAdminInstructionData, type OperatorSetAdminInstructionDataArgs, type OperatorSetFeeInput, type OperatorSetFeeInstruction, type OperatorSetFeeInstructionData, type OperatorSetFeeInstructionDataArgs, type OperatorSetSecondaryAdminInput, type OperatorSetSecondaryAdminInstruction, type OperatorSetSecondaryAdminInstructionData, type OperatorSetSecondaryAdminInstructionDataArgs, type OperatorVaultTicket, type OperatorVaultTicketArgs, type OperatorWarmupNcnInput, type OperatorWarmupNcnInstruction, type OperatorWarmupNcnInstructionData, type OperatorWarmupNcnInstructionDataArgs, type ParsedCooldownNcnVaultSlasherTicketInstruction, type ParsedCooldownNcnVaultTicketInstruction, type ParsedCooldownOperatorVaultTicketInstruction, type ParsedInitializeConfigInstruction, type ParsedInitializeNcnInstruction, type ParsedInitializeNcnOperatorStateInstruction, type ParsedInitializeNcnVaultSlasherTicketInstruction, type ParsedInitializeNcnVaultTicketInstruction, type ParsedInitializeOperatorInstruction, type ParsedInitializeOperatorVaultTicketInstruction, type ParsedJitoRestakingInstruction, type ParsedNcnCooldownOperatorInstruction, type ParsedNcnDelegateTokenAccountInstruction, type ParsedNcnSetAdminInstruction, type ParsedNcnSetSecondaryAdminInstruction, type ParsedNcnWarmupOperatorInstruction, type ParsedOperatorCooldownNcnInstruction, type ParsedOperatorDelegateTokenAccountInstruction, type ParsedOperatorSetAdminInstruction, type ParsedOperatorSetFeeInstruction, type ParsedOperatorSetSecondaryAdminInstruction, type ParsedOperatorWarmupNcnInstruction, type ParsedSetConfigAdminInstruction, type ParsedWarmupNcnVaultSlasherTicketInstruction, type ParsedWarmupNcnVaultTicketInstruction, type ParsedWarmupOperatorVaultTicketInstruction, SET_CONFIG_ADMIN_DISCRIMINATOR, type SetConfigAdminInput, type SetConfigAdminInstruction, type SetConfigAdminInstructionData, type SetConfigAdminInstructionDataArgs, type SlotToggle, type SlotToggleArgs, WARMUP_NCN_VAULT_SLASHER_TICKET_DISCRIMINATOR, WARMUP_NCN_VAULT_TICKET_DISCRIMINATOR, WARMUP_OPERATOR_VAULT_TICKET_DISCRIMINATOR, type WarmupNcnVaultSlasherTicketInput, type WarmupNcnVaultSlasherTicketInstruction, type WarmupNcnVaultSlasherTicketInstructionData, type WarmupNcnVaultSlasherTicketInstructionDataArgs, type WarmupNcnVaultTicketInput, type WarmupNcnVaultTicketInstruction, type WarmupNcnVaultTicketInstructionData, type WarmupNcnVaultTicketInstructionDataArgs, type WarmupOperatorVaultTicketInput, type WarmupOperatorVaultTicketInstruction, type WarmupOperatorVaultTicketInstructionData, type WarmupOperatorVaultTicketInstructionDataArgs, decodeConfig, decodeNcn, decodeNcnOperatorState, decodeNcnVaultSlasherTicket, decodeNcnVaultTicket, decodeOperator, decodeOperatorVaultTicket, fetchAllConfig, fetchAllMaybeConfig, fetchAllMaybeNcn, fetchAllMaybeNcnOperatorState, fetchAllMaybeNcnVaultSlasherTicket, fetchAllMaybeNcnVaultTicket, fetchAllMaybeOperator, fetchAllMaybeOperatorVaultTicket, fetchAllNcn, fetchAllNcnOperatorState, fetchAllNcnVaultSlasherTicket, fetchAllNcnVaultTicket, fetchAllOperator, fetchAllOperatorVaultTicket, fetchConfig, fetchMaybeConfig, fetchMaybeNcn, fetchMaybeNcnOperatorState, fetchMaybeNcnVaultSlasherTicket, fetchMaybeNcnVaultTicket, fetchMaybeOperator, fetchMaybeOperatorVaultTicket, fetchNcn, fetchNcnOperatorState, fetchNcnVaultSlasherTicket, fetchNcnVaultTicket, fetchOperator, fetchOperatorVaultTicket, getConfigCodec, getConfigDecoder, getConfigEncoder, getCooldownNcnVaultSlasherTicketDiscriminatorBytes, getCooldownNcnVaultSlasherTicketInstruction, getCooldownNcnVaultSlasherTicketInstructionDataCodec, getCooldownNcnVaultSlasherTicketInstructionDataDecoder, getCooldownNcnVaultSlasherTicketInstructionDataEncoder, getCooldownNcnVaultTicketDiscriminatorBytes, getCooldownNcnVaultTicketInstruction, getCooldownNcnVaultTicketInstructionDataCodec, getCooldownNcnVaultTicketInstructionDataDecoder, getCooldownNcnVaultTicketInstructionDataEncoder, getCooldownOperatorVaultTicketDiscriminatorBytes, getCooldownOperatorVaultTicketInstruction, getCooldownOperatorVaultTicketInstructionDataCodec, getCooldownOperatorVaultTicketInstructionDataDecoder, getCooldownOperatorVaultTicketInstructionDataEncoder, getInitializeConfigDiscriminatorBytes, getInitializeConfigInstruction, getInitializeConfigInstructionDataCodec, getInitializeConfigInstructionDataDecoder, getInitializeConfigInstructionDataEncoder, getInitializeNcnDiscriminatorBytes, getInitializeNcnInstruction, getInitializeNcnInstructionDataCodec, getInitializeNcnInstructionDataDecoder, getInitializeNcnInstructionDataEncoder, getInitializeNcnOperatorStateDiscriminatorBytes, getInitializeNcnOperatorStateInstruction, getInitializeNcnOperatorStateInstructionDataCodec, getInitializeNcnOperatorStateInstructionDataDecoder, getInitializeNcnOperatorStateInstructionDataEncoder, getInitializeNcnVaultSlasherTicketDiscriminatorBytes, getInitializeNcnVaultSlasherTicketInstruction, getInitializeNcnVaultSlasherTicketInstructionDataCodec, getInitializeNcnVaultSlasherTicketInstructionDataDecoder, getInitializeNcnVaultSlasherTicketInstructionDataEncoder, getInitializeNcnVaultTicketDiscriminatorBytes, getInitializeNcnVaultTicketInstruction, getInitializeNcnVaultTicketInstructionDataCodec, getInitializeNcnVaultTicketInstructionDataDecoder, getInitializeNcnVaultTicketInstructionDataEncoder, getInitializeOperatorDiscriminatorBytes, getInitializeOperatorInstruction, getInitializeOperatorInstructionDataCodec, getInitializeOperatorInstructionDataDecoder, getInitializeOperatorInstructionDataEncoder, getInitializeOperatorVaultTicketDiscriminatorBytes, getInitializeOperatorVaultTicketInstruction, getInitializeOperatorVaultTicketInstructionDataCodec, getInitializeOperatorVaultTicketInstructionDataDecoder, getInitializeOperatorVaultTicketInstructionDataEncoder, getJitoRestakingErrorMessage, getNcnAdminRoleCodec, getNcnAdminRoleDecoder, getNcnAdminRoleEncoder, getNcnCodec, getNcnCooldownOperatorDiscriminatorBytes, getNcnCooldownOperatorInstruction, getNcnCooldownOperatorInstructionDataCodec, getNcnCooldownOperatorInstructionDataDecoder, getNcnCooldownOperatorInstructionDataEncoder, getNcnDecoder, getNcnDelegateTokenAccountDiscriminatorBytes, getNcnDelegateTokenAccountInstruction, getNcnDelegateTokenAccountInstructionDataCodec, getNcnDelegateTokenAccountInstructionDataDecoder, getNcnDelegateTokenAccountInstructionDataEncoder, getNcnEncoder, getNcnOperatorStateCodec, getNcnOperatorStateDecoder, getNcnOperatorStateEncoder, getNcnSetAdminDiscriminatorBytes, getNcnSetAdminInstruction, getNcnSetAdminInstructionDataCodec, getNcnSetAdminInstructionDataDecoder, getNcnSetAdminInstructionDataEncoder, getNcnSetSecondaryAdminDiscriminatorBytes, getNcnSetSecondaryAdminInstruction, getNcnSetSecondaryAdminInstructionDataCodec, getNcnSetSecondaryAdminInstructionDataDecoder, getNcnSetSecondaryAdminInstructionDataEncoder, getNcnVaultSlasherTicketCodec, getNcnVaultSlasherTicketDecoder, getNcnVaultSlasherTicketEncoder, getNcnVaultTicketCodec, getNcnVaultTicketDecoder, getNcnVaultTicketEncoder, getNcnWarmupOperatorDiscriminatorBytes, getNcnWarmupOperatorInstruction, getNcnWarmupOperatorInstructionDataCodec, getNcnWarmupOperatorInstructionDataDecoder, getNcnWarmupOperatorInstructionDataEncoder, getOperatorAdminRoleCodec, getOperatorAdminRoleDecoder, getOperatorAdminRoleEncoder, getOperatorCodec, getOperatorCooldownNcnDiscriminatorBytes, getOperatorCooldownNcnInstruction, getOperatorCooldownNcnInstructionDataCodec, getOperatorCooldownNcnInstructionDataDecoder, getOperatorCooldownNcnInstructionDataEncoder, getOperatorDecoder, getOperatorDelegateTokenAccountDiscriminatorBytes, getOperatorDelegateTokenAccountInstruction, getOperatorDelegateTokenAccountInstructionDataCodec, getOperatorDelegateTokenAccountInstructionDataDecoder, getOperatorDelegateTokenAccountInstructionDataEncoder, getOperatorEncoder, getOperatorSetAdminDiscriminatorBytes, getOperatorSetAdminInstruction, getOperatorSetAdminInstructionDataCodec, getOperatorSetAdminInstructionDataDecoder, getOperatorSetAdminInstructionDataEncoder, getOperatorSetFeeDiscriminatorBytes, getOperatorSetFeeInstruction, getOperatorSetFeeInstructionDataCodec, getOperatorSetFeeInstructionDataDecoder, getOperatorSetFeeInstructionDataEncoder, getOperatorSetSecondaryAdminDiscriminatorBytes, getOperatorSetSecondaryAdminInstruction, getOperatorSetSecondaryAdminInstructionDataCodec, getOperatorSetSecondaryAdminInstructionDataDecoder, getOperatorSetSecondaryAdminInstructionDataEncoder, getOperatorVaultTicketCodec, getOperatorVaultTicketDecoder, getOperatorVaultTicketEncoder, getOperatorWarmupNcnDiscriminatorBytes, getOperatorWarmupNcnInstruction, getOperatorWarmupNcnInstructionDataCodec, getOperatorWarmupNcnInstructionDataDecoder, getOperatorWarmupNcnInstructionDataEncoder, getSetConfigAdminDiscriminatorBytes, getSetConfigAdminInstruction, getSetConfigAdminInstructionDataCodec, getSetConfigAdminInstructionDataDecoder, getSetConfigAdminInstructionDataEncoder, getSlotToggleCodec, getSlotToggleDecoder, getSlotToggleEncoder, getWarmupNcnVaultSlasherTicketDiscriminatorBytes, getWarmupNcnVaultSlasherTicketInstruction, getWarmupNcnVaultSlasherTicketInstructionDataCodec, getWarmupNcnVaultSlasherTicketInstructionDataDecoder, getWarmupNcnVaultSlasherTicketInstructionDataEncoder, getWarmupNcnVaultTicketDiscriminatorBytes, getWarmupNcnVaultTicketInstruction, getWarmupNcnVaultTicketInstructionDataCodec, getWarmupNcnVaultTicketInstructionDataDecoder, getWarmupNcnVaultTicketInstructionDataEncoder, getWarmupOperatorVaultTicketDiscriminatorBytes, getWarmupOperatorVaultTicketInstruction, getWarmupOperatorVaultTicketInstructionDataCodec, getWarmupOperatorVaultTicketInstructionDataDecoder, getWarmupOperatorVaultTicketInstructionDataEncoder, identifyJitoRestakingInstruction, isJitoRestakingError, parseCooldownNcnVaultSlasherTicketInstruction, parseCooldownNcnVaultTicketInstruction, parseCooldownOperatorVaultTicketInstruction, parseInitializeConfigInstruction, parseInitializeNcnInstruction, parseInitializeNcnOperatorStateInstruction, parseInitializeNcnVaultSlasherTicketInstruction, parseInitializeNcnVaultTicketInstruction, parseInitializeOperatorInstruction, parseInitializeOperatorVaultTicketInstruction, parseNcnCooldownOperatorInstruction, parseNcnDelegateTokenAccountInstruction, parseNcnSetAdminInstruction, parseNcnSetSecondaryAdminInstruction, parseNcnWarmupOperatorInstruction, parseOperatorCooldownNcnInstruction, parseOperatorDelegateTokenAccountInstruction, parseOperatorSetAdminInstruction, parseOperatorSetFeeInstruction, parseOperatorSetSecondaryAdminInstruction, parseOperatorWarmupNcnInstruction, parseSetConfigAdminInstruction, parseWarmupNcnVaultSlasherTicketInstruction, parseWarmupNcnVaultTicketInstruction, parseWarmupOperatorVaultTicketInstruction };
